<!-- Displays detailed info & comments on one team's performance at one match. -->

{% extends 'main/base.html' %}
{% load static %}

{% block stylesheets %}
<link rel="stylesheet" href="{% static 'scouting/css/detailed.css' %}">
{% endblock %}

{% block nav_home %} class="button" {% endblock %}
{% block nav_scouting %} class="button-selected" {% endblock %}
{% block nav_contact %} class="button" {% endblock %}
{% block nav_sign-in %} class="button" {% endblock %}

{% block content %}

    <div class = "buttons"> 
        <a href="{% url 'scouting:indexTeamAll' m.Team.id %}" class = "match-button"> <i class="fas fa-caret-left"></i> Back to Team</a>
    </div> 

{% if m %}
    <h1 class = "team-header"> <a href = "{% url 'scouting:indexTeamAll' m.Team.id %}" >Team {{m.Team}}</a></h1>
    <h2 class = "match-header"><u><a href = "{% url 'scouting:indexSingleMatch' m.Competition.id m.MatchNum %}" >Match {{m.MatchNum}}</a></u>, {{ m.Competition }} 2019 </h2>

    <div class = "info"> 
        <p class = "line"><b> <span class = "grey-text"> Scouter:</b> </span> {{m.Scouter}}</p>
        <p class = "line"><b> <span class = "grey-text"> Start:</span> Level </b>  {{m.Start}}</p>
        <p class = "line"><b> <span class = "grey-text"> Sandstorm Rocket Hatches:</b> </span> {{m.Rocket_Hatch_Sandstorm}}</p>
        <p class = "line"><b> <span class = "grey-text"> Sandstorm Rocket Cargo:</b> </span> {{m.Rocket_Ball_Sandstorm}}</p>
        <p class = "line"><b> <span class = "grey-text"> Sandstorm Cargo Ship Hatches:</b> </span> {{m.CargoShip_Hatch_Sandstorm}}</p>
        <p class = "line"><b> <span class = "grey-text"> Sandstorm Cargo Ship Cargo:</b> </span> {{m.CargoShip_Ball_Sandstorm}}</p>
        <br>
        <p class = "line"><b> <span class = "grey-text"> Low Rocket Hatches:</b> </span> {{m.Rocket_L1_Hatch}}</p>
        <p class = "line"><b> <span class = "grey-text"> Low Rocket Cargo:</b> </span> {{m.Rocket_L1_Ball}}</p>
        <p class = "line"><b> <span class = "grey-text"> Mid Rocket Hatches:</b> </span> {{m.Rocket_L2_Hatch}}</p>
        <p class = "line"><b> <span class = "grey-text"> Mid Rocket Cargo:</b> </span> {{m.Rocket_L2_Ball}}</p>
        <p class = "line"><b> <span class = "grey-text"> High Rocket Hatches:</b> </span> {{m.Rocket_L3_Hatch}}</p>
        <p class = "line"><b> <span class = "grey-text"> High Rocket Cargo:</b> </span> {{m.Rocket_L3_Ball}}</p>
        <p class = "line"><b> <span class = "grey-text"> Cargo Ship Hatches:</b> </span> {{m.CargoShip_Hatch}}</p>
        <p class = "line"><b> <span class = "grey-text"> Cargo Ship Cargo:</b> </span> {{m.CargoShip_Ball}}</p>
        <p class = "line"><b> <span class = "grey-text"> Climbing:</b> </span> {{m.Climb}}</p>
        <br>
        <p class = "line"><b> <span class = "grey-text"> Comments:</b> </span> {{m.Comments}}</p>
    </div>
    
    <a href="/scouting/{{m.id}}/update/" class = "edit"> <i class="fas fa-edit"></i> Edit Match <br></a>
    <a href="/scouting/{{m.id}}/delete/" class = "edit"> <i class="fas fa-trash"></i> Delete Match</a>
    
{% else %}
    <p>No data is available, or there has been an error. Contact programming if this message appears after adding data.
    
    Super-special programming magic spell: The match has been deleted or does not exist.</p>
{% endif %}


    
{% endblock %}